using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 厂商联系人信息
    /// </summary>
    public class VenderLinkItem
    {
        /// <summary>
        /// 厂商类别
        /// </summary>
        [JsonProperty("venderType")]
        public string VenderType { get; set; } = "";
        /// <summary>
        /// 厂商Id
        /// </summary>
        [JsonProperty("venderId")]
        public string VenderId { get; set; } = "";
        /// <summary>
        /// 厂商名称
        /// </summary>
        [JsonProperty("venderName")]
        public string VenderName { get; set; } = "";
        /// <summary>
        /// 联系人信息
        /// </summary>
        [JsonProperty("name")]
        public string LinkerName { get; set; } = "";
        /// <summary>
        /// 联系人电话
        /// </summary>
        [JsonProperty("phone")]
        public string LinkerPhone { get; set; } = "";
        /// <summary>
        /// 联系人传真
        /// </summary>
        [JsonProperty("fax")]
        public string LinkerFax { get; set; } = "";
        /// <summary>
        /// 联系人电子邮件
        /// </summary>
        [JsonProperty("email")]
        public string LinkerEmail { get; set; } = "";

    }
}
